package com.ynfy.buss.exam.paper.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.ynfy.buss.exam.paper.dto.PaperDTO;
import com.ynfy.buss.exam.paper.entity.Paper;
import com.ynfy.buss.exam.paperquestion.entity.PaperQuestion;
import com.ynfy.buss.exam.question.entity.Question;

import java.util.List;

/**
 * @Description: paper
 * @Author: jeecg-boot
 * @Date: 2023-02-22
 * @Version: V1.0
 */
public interface IPaperService extends IService<Paper> {

    void save(PaperDTO paperDTO);

    /**
     * 生成试卷试题
     *
     * @param paperId
     */
    List<PaperQuestion> generateQuestion(String paperId);

    /**
     * 查看试卷明细
     *
     * @param paperId
     */
    PaperDTO detail(String paperId);

    /**
     * 删除试卷 试题 规则
     *
     * @param paperId
     */
    void remove(String paperId);


    void removeBatch(String ids);


    /**
     * 随机组卷抽取部分试题
     *
     * @return
     */
    List<Question> extractPartQuestion(String ruleDetail, String questionIds);
}
